Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common.plugin
Class ConfigurationData

    java.lang.Object
      |
      +--com.bea.wlpi.common.plugin.ConfigurationData

public final class ConfigurationData
extends java.lang.Object
implements java.io.Serializable

Provides information about a plugin's configuration.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `PluginConfiguration.getConfigurationData()`, `PluginManagerCfg.setPluginConfiguration(java.lang.String, com.bea.wlpi.common.VersionInfo, int, java.lang.String)`, Serialized Form

Constructor Summary
`ConfigurationData(java.lang.String pluginName, VersionInfo version, int status, int startMode, java.lang.String xml)` Create a new ConfigurationData object.

Method Summary
`java.lang.String` | `getPluginName()` Return the name of the plugin providing this information.
`int` | `getStartMode()` Return the startup mode of the plugin.
`int` | `getStatus()` Return the status of the plugin.
`VersionInfo` | `getVersion()` Return the plugin version.
`java.lang.String` | `getXML()` Return the plugin's XML configuration document.
`java.lang.String` | `toString()` Return a string representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigurationData

    public ConfigurationData(java.lang.String pluginName,
                             VersionInfo version,
                             int status,
                             int startMode,
                             java.lang.String xml)

  Create a new ConfigurationData object.

  Parameters:
    `pluginName` - The reverse-DNS name of the plugin.
    `version` - The plugin version.
    `status` - The plugin's status: `PluginConstants.STATUS_MISSING`, `PluginConstants.STATUS_ERROR`, `PluginConstants.STATUS_DEPLOYED`, `PluginConstants.STATUS_INITIALIZED`, `PluginConstants.STATUS_UNLOADING`, `PluginConstants.STATUS_LOADING`, `PluginConstants.STATUS_LOADED`
    `startMode` - The plugin's startup mode: `PluginConstants.MODE_DISABLED`, `PluginConstants.MODE_AUTOMATIC`, `PluginConstants.MODE_MANUAL`,
    `xml` - An XML document containing the plugin-specific configuration information.

Method Detail

### getPluginName

    public java.lang.String getPluginName()

  Return the name of the plugin providing this information.

  Returns:
    The plugin name.

### getStatus

    public int getStatus()

  Return the status of the plugin.

  Returns:
    The plugin status: `PluginConstants.STATUS_MISSING`, `PluginConstants.STATUS_ERROR`, `PluginConstants.STATUS_DEPLOYED`, `PluginConstants.STATUS_INITIALIZED`, `PluginConstants.STATUS_UNLOADING`, `PluginConstants.STATUS_LOADING`, `PluginConstants.STATUS_LOADED`

### getStartMode

    public int getStartMode()

  Return the startup mode of the plugin.

  Returns:
    The plugin startup mode: `PluginConstants.MODE_DISABLED`, `PluginConstants.MODE_AUTOMATIC`, `PluginConstants.MODE_MANUAL`,

### getVersion

    public VersionInfo getVersion()

  Return the plugin version.

  Returns:
    The plugin version.

### getXML

    public java.lang.String getXML()

  Return the plugin's XML configuration document.

  Returns:
    XML configuration information.

### toString

    public java.lang.String toString()

  Return a string representation of the object.

  Returns:
    String representation, showing the values of members.
  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)